appendix Installation instructions

NOTE This book assumes that you’ll be using Python 3 unless otherwise stated, as in chapter 7, where the associated dependency, BregmanToolkit, requires Python 2.7. Similarly, in chapter 19, the VGG16.py library requires Python 2.7. Code listings for Python 3 abide by TensorFlow v1.15, and the examples in chapter 7 and 19 use TensorFlow 1.14.0 because it’s compatible with Python 2.7. The accompanying source code on GitHub will always be up to date with the latest version (http://mng.bz/GdKO). Additionally, there is currently a major effort to port the examples in the book to TensorFlow 2.x, and that work is present in the tensorflow2 branch in the GitHub repo. You can find updated listings there, so check ...

Get Machine Learning with TensorFlow, Second Edition now with O’Reilly online learning.

O’Reilly members experience live online training, plus books, videos, and digital content from 200+ publishers.